[jira] [Created] (HADOOP-14187) Update ZooKeeper dependency to 3.4.8 and Curator dependency to 2.12.0

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (HADOOP-14187) Update ZooKeeper dependency to 3.4.8 and Curator dependency to 2.12.0

JIRA jira@apache.org
Tsuyoshi Ozawa created HADOOP-14187:
---------------------------------------

             Summary: Update ZooKeeper dependency to 3.4.8 and Curator dependency to 2.12.0
                 Key: HADOOP-14187
                 URL: https://issues.apache.org/jira/browse/HADOOP-14187
             Project: Hadoop Common
          Issue Type: Bug
            Reporter: Tsuyoshi Ozawa


This is a update for using Apache Curator which shades guava.

Why is Curator updated to 2.12.0 instead of 3.3.0?
It's because Curator 3.x only supports ZooKeeper 3.5.x. ZooKeeper 3.5.x is still alpha release. Hence, I think we should do conservative choice here.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]